LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
Quickstart Service Reference

`import"Quickstart.idl";`

Inheritance diagram for Quickstart:

## Public Member Functions
| createDefault ()
| createAndSetVeto ([in] boolean p1, [in] boolean p2, [in] boolean DisableVeto)
| The first two parameters are ignored. More...
| createStart ([in] boolean bQuickstart)
| createAutoStart ([in] boolean bQuickstart, [in] boolean bAutostart)
Public Member Functions inherited from XFastPropertySet
void | setFastPropertyValue ([in] long nHandle, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value to the property with the specified name. More...
any | getFastPropertyValue ([in] long nHandle) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Since
  LibreOffice 4.2

## Member Function Documentation

## ◆ createAndSetVeto()

createAndSetVeto | ( | [in] boolean | p1,
|  | [in] boolean | p2,
|  | [in] boolean | DisableVeto
| ) |  |

The first two parameters are ignored.

## ◆ createAutoStart()

createAutoStart | ( | [in] boolean | bQuickstart,
|  | [in] boolean | bAutostart
| ) |  |

## ◆ createDefault()

createDefault | ( |  | ) |

## ◆ createStart()

createStart | ( | [in] boolean | bQuickstart | ) |

The documentation for this service was generated from the following file:

- com/sun/star/office/Quickstart.idl